Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Fields | Ctors | Methods | Inherited Methods | [Expand All]
public static final class

# SubmitScoreResult.Result

extends Object

java.lang.Object
↳ | com.google.android.gms.games.leaderboard.SubmitScoreResult.Result

## Class Overview

Simple data class containing the result data for a particular time span.

## Summary

Fields
public final String | formattedScore | String containing the score data in a display-appropriate format.
public final boolean | newBest | Boolean indicating whether or not this score was the player's new best score for this time span.
public final long | rawScore | The raw score value of this score result.
public final String | scoreTag | The score tag associated with this result, if any.

Public Constructors
| SubmitScoreResult.Result(long rawScore, String formattedScore, String scoreTag, boolean newBest)

Public Methods
String | toString()

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Fields

#### public final String formattedScore

String containing the score data in a display-appropriate format.

#### public final boolean newBest

Boolean indicating whether or not this score was the player's new best score for this time span.

#### public final long rawScore

The raw score value of this score result.

#### public final String scoreTag

The score tag associated with this result, if any.

## Public Constructors

#### public SubmitScoreResult.Result (long rawScore, String formattedScore, String scoreTag, boolean newBest)

## Public Methods

#### public String toString ()